commit:     421fbe56c1acd56822acb4d05725a40b417a5e11
Author:     Marek Szuba <marecki <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 28 16:03:28 2020 +0000
Commit:     Marek Szuba <marecki <AT> gentoo <DOT> org>
CommitDate: Fri Feb 28 16:14:03 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=421fbe56

app-emulation/protontricks: bump to 1.4.1

protontricks now have a setup-time dependency on
dev-python/setuptools_scm, which means we have to use use release
tarballs from PyPI rather than from GitHub - the latter cause builds to
fail with

LookupError: setuptools-scm was unable to detect version for 
'/.../app-emulation/protontricks-1.4.1/work/protontricks-1.4.1'.
Make sure you're either building from a fully intact git repository or PyPI 
tarballs. Most other sources (such as GitHub's tarballs, a git checkout without 
the .git folder) don't contain the necessary metadata and will not work.

The upshot of the above is that we can no longer run tests because
the necessary files are not included in PyPI tarballs.

Signed-off-by: Marek Szuba <marecki <AT> gentoo.org>

 app-emulation/protontricks/Manifest                |  1 +
 .../protontricks/protontricks-1.4.1.ebuild         | 52 ++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/app-emulation/protontricks/Manifest 
b/app-emulation/protontricks/Manifest
index a4be8ea3ec9..5f50d4722eb 100644
--- a/app-emulation/protontricks/Manifest
+++ b/app-emulation/protontricks/Manifest
@@ -1 +1,2 @@
 DIST protontricks-1.3.1.tar.gz 57784 BLAKE2B 
ed013367a2cc2384e4340379e2c23999a556ed26920ad59dfd7a8f773e490ee76e253a5fe3216e651cdcdb3e225a2e394255500c611d24f6bf9029582d55bb1f
 SHA512 
4e33334e219db2e6679b430ee42408529478834c80c7da3b9bece4756eb27b9331d49a6a884de8a7ced5ec29d78ce831fee4cfbf6d5adcd750666b7e7a1e5607
+DIST protontricks-1.4.1.tar.gz 31838 BLAKE2B 
b8c94a1b96fa7df14eaf1cc6d11cb96e43ae4e8c7bd232687a50cae9c79cf2d0e7864b1af0e1dc4cc20086952e1fcefeb16cb71a9c3a977f6feafad1b17d6857
 SHA512 
7635c9830afa3c64617514cd86edc7d7f9f33e6e81a1da995ec8bee70adc1cf8b5d9de92036c372134e408d735615b267b46a9afc9246f14ff161cb2ee1fc8f9

diff --git a/app-emulation/protontricks/protontricks-1.4.1.ebuild 
b/app-emulation/protontricks/protontricks-1.4.1.ebuild
new file mode 100644
index 00000000000..cebf432ce73
--- /dev/null
+++ b/app-emulation/protontricks/protontricks-1.4.1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+DISTUTILS_SINGLE_IMPL=1
+inherit distutils-r1
+
+DESCRIPTION="app-emulation/winetricks wrapper for Proton (Steam Play) games"
+HOMEPAGE="https://github.com/Matoking/protontricks";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+gui"
+
+BDEPEND="${PYTHON_DEPS}
+       dev-python/setuptools_scm"
+RDEPEND="${PYTHON_DEPS}
+       app-emulation/winetricks
+       $(python_gen_cond_dep '
+               dev-python/vdf[${PYTHON_MULTI_USEDEP}]
+       ')
+       gui? ( gnome-extra/zenity
+               || (
+                       app-emulation/winetricks[gtk]
+                       app-emulation/winetricks[kde]
+               )
+       )"
+
+# Tarballs from PyPI do not contain tests, and we cannot use GitHub releases
+# any more because they are incompatible with setuptools_scm.
+RESTRICT="test"
+
+DOCS=(CHANGELOG.md README.md)
+
+pkg_postinst() {
+       elog
+
+       if ! use gui; then
+               ewarn "Please note that disabling USE=gui does *not* presently 
remove the --gui command-line option,"
+               ewarn "it just means using this option will fail unless 
gnome-extra/zenity happens to be installed."
+               ewarn
+       fi
+
+       elog "Protontricks can only find games for which a Proton prefix 
already exists."
+       elog "Make sure to run a Proton game at least once before trying to use 
protontricks on it."
+       elog
+}

Reply via email to